package chess4j.pieces;

import java.util.List;


import org.testng.annotations.Test;

import chess4j.board.directions.Direction;
import chess4j.board.directions.East;
import chess4j.board.directions.North;
import chess4j.board.directions.South;
import chess4j.board.directions.West;
import chess4j.pieces.Rook;


public class RookTest {

	@Test
	public void directionsTest() {
		List<Direction> dirs = Rook.WHITE_ROOK.getDirections();
		assert(dirs.size()==4);
		assert(dirs.contains(North.getInstance()));
		assert(dirs.contains(West.getInstance()));
		assert(dirs.contains(East.getInstance()));
		assert(dirs.contains(South.getInstance()));
	}
}
